Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class CollapsiblePanelRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.html.DivPanelRenderer
                  org.richfaces.renderkit.html.TogglePanelRenderer
                      org.richfaces.renderkit.html.CollapsiblePanelRenderer

All Implemented Interfaces:
  org.richfaces.renderkit.MetaComponentRenderer

    public class CollapsiblePanelRenderer

extends TogglePanelRenderer

Since:
  2010-08-27
Author:
  akolonitsky

Field Summary
`static String` | `BEFORE_SWITCH`
`static String` | `SWITCH`

Fields inherited from class org.richfaces.renderkit.html.TogglePanelRenderer
`BEFORE_ITEM_CHANGE, ITEM_CHANGE, VALUE_POSTFIX`

Constructor Summary
`CollapsiblePanelRenderer()`

Method Summary
`protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
`protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
`protected org.ajax4jsf.javascript.JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected String` | `getStyleClass(javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.html.TogglePanelRenderer
`addEventOption, addOnCompleteParam, decodeMetaComponent, doDecode, doEncodeEnd, encodeMetaComponent, getAjaxOptions, isSubmitted, partialEnd, partialStart`

Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer
`attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, doEncodeItemBegin, doEncodeItemEnd, getPassThroughAttributes, getStyle, styleElement, writeJavaScript`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SWITCH

    public static final String SWITCH

See Also:
  Constant Field Values

### BEFORE_SWITCH

    public static final String BEFORE_SWITCH

See Also:
  Constant Field Values

Constructor Detail

### CollapsiblePanelRenderer

    public CollapsiblePanelRenderer()

Method Detail

### doEncodeBegin

    protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws IOException

  Description copied from class: `RendererBase`
  Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `encodeBegin` method.

  Overrides:
    `doEncodeBegin` in class `TogglePanelRenderer`
  Throws:
    `IOException`

### getStyleClass

    protected String getStyleClass(javax.faces.component.UIComponent component)

  Overrides:
    `getStyleClass` in class `TogglePanelRenderer`

### getScriptObject

    protected org.ajax4jsf.javascript.JSObject getScriptObject(javax.faces.context.FacesContext context,
                                                               javax.faces.component.UIComponent component)

  Overrides:
    `getScriptObject` in class `TogglePanelRenderer`

### getScriptObjectOptions

    protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                        javax.faces.component.UIComponent component)

  Overrides:
    `getScriptObjectOptions` in class `TogglePanelRenderer`

### doEncodeChildren

    protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                    javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)
                             throws IOException

  Overrides:
    `doEncodeChildren` in class `TogglePanelRenderer`
  Throws:
    `IOException`

### getComponentClass

    protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `TogglePanelRenderer`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.